Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSection Class Reference
GoSdk

## Description

Represents sections to be applied on surface data.

Inheritance diagram for GoSection:

## Public Member Functions
kBool | GoSection_CustomSpacingIntervalEnabled (GoSection section)
| Indicates whether the custom spacing interval is enabled. More...
kStatus | GoSection_EnableCustomSpacingInterval (GoSection section, kBool enable)
| Enables or disables the custom spacing interval. More...
kPoint64f | GoSection_EndPoint (GoSection section)
| Gets the end point of the section. More...
k16s | GoSection_Id (GoSection section)
| Gets the ID of the section. More...
kStatus | GoSection_Name (GoSection section, kChar *name, kSize capacity)
| Retrieves the name of the section. More...
kStatus | GoSection_SetEndPoint (GoSection section, kPoint64f point)
| Sets the end point of the section. More...
kStatus | GoSection_SetName (GoSection section, const kChar *name)
| Sets the name of the section. More...
kStatus | GoSection_SetSpacingInterval (GoSection section, k64f value)
| Sets the spacing interval of the section. More...
kStatus | GoSection_SetStartPoint (GoSection section, kPoint64f point)
| Sets the start point of the section. More...
k64f | GoSection_SpacingInterval (GoSection section)
| Gets the current user defined spacing interval. More...
k64f | GoSection_SpacingIntervalLimitMax (GoSection section)
| Gets the current spacing interval maximum limit. More...
k64f | GoSection_SpacingIntervalLimitMin (GoSection section)
| Gets the current spacing interval minimum limit. More...
k64f | GoSection_SpacingIntervalSystemValue (GoSection section)
| Gets the spacing interval system value. More...
kPoint64f | GoSection_StartPoint (GoSection section)
| Gets the start point of the section. More...
kStatus | GoSections_AddSection (GoSections sections, GoSection *section)
| Adds a specified section to the configuration. More...
kStatus | GoSections_Clear (GoSections sections)
| Clears the section list. More...
kStatus | GoSections_RemoveSection (GoSections sections, kSize index)
| Removes the section at the specified index. More...
GoSection | GoSections_SectionAt (GoSections sections, kSize index)
| Retrieves the section at the specified index. More...
kSize | GoSections_SectionCount (GoSections sections)
| Returns the number of added sections. More...
k64f | GoSections_XLimitMax (GoSections sections)
| Gets the X axis maximum for section definition. More...
k64f | GoSections_XLimitMin (GoSections sections)
| Gets the X axis minimum for section definition. More...
k64f | GoSections_YLimitMax (GoSections sections)
| Gets the Y axis maximum for section definition. More...
k64f | GoSections_YLimitMin (GoSections sections)
| Gets the Y axis minimum for section definition. More...

The documentation for this class was generated from the following files:

- GoSection.h
- GoSections.h